Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.decode
Class FlateDecode

    java.lang.Object
      com.sun.pdfview.decode.FlateDecode

    public class FlateDecode

extends java.lang.Object

decode a deFlated byte array

Constructor Summary
`FlateDecode()`

Method Summary
`static java.nio.ByteBuffer` | `decode(PDFObject dict, java.nio.ByteBuffer buf, PDFObject params)` decode a byte buffer in Flate format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlateDecode

    public FlateDecode()

Method Detail

### decode

    public static java.nio.ByteBuffer decode(PDFObject dict,
                                             java.nio.ByteBuffer buf,
                                             PDFObject params)
                                      throws java.io.IOException

  decode a byte buffer in Flate format.

  Flate is a built-in Java algorithm. It's part of the java.util.zip package.

  Parameters:
    `buf` - the deflated input buffer
    `params` - parameters to the decoder (unused)
  Returns:
    the decoded (inflated) bytes
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD